package com.fp.persistence.parmas.dto.ws;

import java.io.Serializable;
import java.util.List;

/**
 * Contiene datos de la persona, sea natural o juridica, informacion e images de armas
 * @author Manuel Cepeda
 *
 */
public class DatosSnapDto implements Serializable{

	private static final long serialVersionUID = 5203532003887140746L;
	/**
	 * Codigo de la persona en la base de datos
	 */
	private Integer codigoPersona;
	/**
	 * Nombre de la razonSocial
	 */
	private String razonSocial;
	/**
	 * Direcci&oacute;n de residencia de la persona
	 */
	private String direccion;
	/**
	 * Nombre de la email
	 */
	private String email;
	/**
	 * Tel&eacute;fono de domicilio de la persona
	 */
	private String telefonoFijo;
	/**
	 * celular de la persona
	 */
	private String telefonoCelular;
	private String testPsicologico;
	private List<TramiteDto> listaTramites;
	private List<InfoGuardiaDto> listaGuardias;
	
	private String xPathLocation;
	
	
	
	
	private List<DatosArmaDto> listaDatosArma;
	
	/**
	 * @return the codigoPersona
	 */
	public Integer getCodigoPersona() {
		return codigoPersona;
	}
	/**
	 * @param codigoPersona the codigoPersona to set
	 */
	public void setCodigoPersona(Integer codigoPersona) {
		this.codigoPersona = codigoPersona;
	}
	/**
	 * @return the razonSocial
	 */
	public String getRazonSocial() {
		return razonSocial;
	}
	/**
	 * @param razonSocial the razonSocial to set
	 */
	public void setRazonSocial(String razonSocial) {
		this.razonSocial = razonSocial;
	}
	/**
	 * @return the direccion
	 */
	public String getDireccion() {
		return direccion;
	}
	/**
	 * @param direccion the direccion to set
	 */
	public void setDireccion(String direccion) {
		this.direccion = direccion;
	}
	/**
	 * @return the email
	 */
	public String getEmail() {
		return email;
	}
	/**
	 * @param email the email to set
	 */
	public void setEmail(String email) {
		this.email = email;
	}
	/**
	 * @return the telefonoFijo
	 */
	public String getTelefonoFijo() {
		return telefonoFijo;
	}
	/**
	 * @param telefonoFijo the telefonoFijo to set
	 */
	public void setTelefonoFijo(String telefonoFijo) {
		this.telefonoFijo = telefonoFijo;
	}
	/**
	 * @return the telefonoCelular
	 */
	public String getTelefonoCelular() {
		return telefonoCelular;
	}
	/**
	 * @param telefonoCelular the telefonoCelular to set
	 */
	public void setTelefonoCelular(String telefonoCelular) {
		this.telefonoCelular = telefonoCelular;
	}
	/**
	 * @return the listaTramites
	 */
	public List<TramiteDto> getListaTramites() {
		return listaTramites;
	}
	/**
	 * @param listaTramites the listaTramites to set
	 */
	public void setListaTramites(List<TramiteDto> listaTramites) {
		this.listaTramites = listaTramites;
	}
	/**
	 * @return the listaGuardias
	 */
	public List<InfoGuardiaDto> getListaGuardias() {
		return listaGuardias;
	}
	/**
	 * @param listaGuardias the listaGuardias to set
	 */
	public void setListaGuardias(List<InfoGuardiaDto> listaGuardias) {
		this.listaGuardias = listaGuardias;
	}
	/**
	 * @return the xPathLocation
	 */
	public String getxPathLocation() {
		return xPathLocation;
	}
	/**
	 * @param xPathLocation the xPathLocation to set
	 */
	public void setxPathLocation(String xPathLocation) {
		this.xPathLocation = xPathLocation;
	}	
	/**
	 * @return the listaDatosArma
	 */
	public List<DatosArmaDto> getListaDatosArma() {
		return listaDatosArma;
	}
	/**
	 * @param listaDatosArma the listaDatosArma to set
	 */
	public void setListaDatosArma(List<DatosArmaDto> listaDatosArma) {
		this.listaDatosArma = listaDatosArma;
	}
	/**
	 * @return the testPsicologico
	 */
	public String getTestPsicologico() {
		return testPsicologico;
	}
	/**
	 * @param testPsicologico the testPsicologico to set
	 */
	public void setTestPsicologico(String testPsicologico) {
		this.testPsicologico = testPsicologico;
	}
}
